mnoGoSearch 3.3.9 reference manual: Full-featured search engine software
Prev |  | Next

# HTTPHeader

## Name

HTTPHeader -- adds a desired header into HTTP requests

`indexer.conf`

## Synopsis

HTTPHeader {header}

## Description

HTTPHeader allows to add a desired header into HTTP request sent by indexer.

The headers `If-Modified-Since`, `Accept-Charset` are sent by indexer automatically and should not be used in a HTTPHeader command.

The header `User-Agent: mnoGoSearch/version` is also sent by indexer, but it can be overwritten.

## Scope

HTTPHeader has global effect for the entire configuration file.

## Examples

    HTTPHeader "User-Agent: My_Own_Agent"
    HTTPHeader "Accept-Language: ru, en"
    HTTPHeader "From: webmaster@mysite.com"

## See also

ResultContentType, UseCookie.

Prev | Home | Next
HTDBList | Up | IDFFactor